curl -X GET "https://api.services.payward.com/v1/accounts/$ACCOUNT_ID/funds/deposits/limits/BTC" \
-H "API-Key: $PWS_API_KEY" \
-H "API-Nonce: $PWS_API_NONCE" \
-H "API-Sign: $PWS_API_SIGN"import requests
url = "https://api.services.payward.com/v1/accounts/{account_id}/funds/deposits/limits/{asset_symbol}"
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"API-Nonce": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'API-Key': '<api-key>', 'API-Sign': '<api-key>', 'API-Nonce': '<api-key>'}
};
fetch('https://api.services.payward.com/v1/accounts/{account_id}/funds/deposits/limits/{asset_symbol}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"method_id": "2fa11f79-eeba-4d4e-afda-029abff6e29e",
"maximum_amount": {
"symbol": "BTC",
"name": "Bitcoin",
"type": "crypto",
"amount": "0.75"
},
"period_limits": [
{
"type": "amount",
"period": "daily",
"period_seconds": 86400,
"asset": {
"symbol": "USD",
"type": "fiat"
},
"remaining": "50000",
"maximum": "100000"
}
]
}
]
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 400,
"code": "bad_request",
"causes": [
{
"field": "asset_symbol",
"message": "must contain between 1 and 16 characters"
}
]
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 401,
"code": "unauthenticated"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 403,
"code": "forbidden"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 429,
"code": "resource_exhausted"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 500,
"code": "internal"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 503,
"code": "unavailable"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 504,
"code": "deadline_exceeded"
}
}List deposit limits
Returns deposit limits for the selected account and asset, grouped by funding method.
Use only entries whose method_id appears in the deposit-methods response for the same account and asset.
Limits are point-in-time and may change before a deposit is submitted.
curl -X GET "https://api.services.payward.com/v1/accounts/$ACCOUNT_ID/funds/deposits/limits/BTC" \
-H "API-Key: $PWS_API_KEY" \
-H "API-Nonce: $PWS_API_NONCE" \
-H "API-Sign: $PWS_API_SIGN"import requests
url = "https://api.services.payward.com/v1/accounts/{account_id}/funds/deposits/limits/{asset_symbol}"
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"API-Nonce": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'API-Key': '<api-key>', 'API-Sign': '<api-key>', 'API-Nonce': '<api-key>'}
};
fetch('https://api.services.payward.com/v1/accounts/{account_id}/funds/deposits/limits/{asset_symbol}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"method_id": "2fa11f79-eeba-4d4e-afda-029abff6e29e",
"maximum_amount": {
"symbol": "BTC",
"name": "Bitcoin",
"type": "crypto",
"amount": "0.75"
},
"period_limits": [
{
"type": "amount",
"period": "daily",
"period_seconds": 86400,
"asset": {
"symbol": "USD",
"type": "fiat"
},
"remaining": "50000",
"maximum": "100000"
}
]
}
]
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 400,
"code": "bad_request",
"causes": [
{
"field": "asset_symbol",
"message": "must contain between 1 and 16 characters"
}
]
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 401,
"code": "unauthenticated"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 403,
"code": "forbidden"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 429,
"code": "resource_exhausted"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 500,
"code": "internal"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 503,
"code": "unavailable"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 504,
"code": "deadline_exceeded"
}
}Authorizations
Your public API key. Identifies the partner making the request.
HMAC signature over the request, computed with your private key.
Monotonically increasing nonce included in the request signature.
Path Parameters
Public identifier of the account whose deposit limits are returned.
14 - 42Asset symbol to retrieve deposit limits for. Use a symbol returned by the PWS Assets API.
1 - 16Query Parameters
Maximum number of results to return. Defaults to 20 when omitted. When page_token is present, the page size encoded in the token is used and this parameter is ignored.
1 <= x <= 25Opaque token returned as next_page_token in the previous response. Omit to request the first page.
1 - 256Response
Deposit limits for the selected account and asset.
Account-specific deposit limits for the requested asset.